<?xml version="1.0" encoding="UTF-8"?>
<persistence xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
             version="3.1"
             xmlns="https://jakarta.ee/xml/ns/persistence"
             xsi:schemaLocation="https://jakarta.ee/xml/ns/persistence
                                 https://jakarta.ee/xml/ns/persistence/persistence_3_1.xsd">

    <persistence-unit name="blogPu" transaction-type="RESOURCE_LOCAL">
        <!-- entitások listája -->
        <class>edu.bbte.idde.jpaexample.model.BlogPost</class>

        <!-- beállítások -->
        <properties>
            <!-- JDBC adatbázis-elérhetőség beállítása -->
            <property name="jakarta.persistence.jdbc.driver" value="org.h2.Driver"/>
            <property name="jakarta.persistence.jdbc.url" value="jdbc:h2:mem:test;DB_CLOSE_DELAY=-1"/>
            <property name="jakarta.persistence.jdbc.user" value="sa"/>
            <property name="jakarta.persistence.jdbc.password" value=""/>

            <!-- séma elkészítésével kapcsolatos beállítás -->
            <property name="jakarta.persistence.schema-generation.database.action" value="create"/>

            <!-- Hibernate-specifikus: SQL queryk kiírása -->
            <property name="hibernate.show_sql" value="true"/>
        </properties>
    </persistence-unit>
</persistence>
